Changeset 1980 for trunk/Clp/configure


Ignore:
Timestamp:
Sep 12, 2013 6:04:11 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r1978 r1980  
    11031103                          icl/link). Default when mentioned: mingw. Default
    11041104                          when not mentioned: disabled.
    1105 
    11061105  --enable-static[=PKGS]
    11071106                          build static libraries [default=no]
     
    20022001
    20032002
    2004 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    2005 if test "${enable_static_standardlibs+set}" = set; then
    2006   enableval="$enable_static_standardlibs"
    2007   case "$enableval" in
    2008      no | yes | auto ) ;;
    2009      *)
    2010        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    2011 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    2012    { (exit 1); exit 1; }; } ;;
    2013    esac
    2014    use_static_standardlibs=$enableval
    2015 else
    2016   use_static_standardlibs=no
    2017 fi;
    2018 
    2019 
    2020 
    20212003
    20222004
     
    31563138    CFLAGS="$OPT_CFLAGS"
    31573139  fi
    3158 
    31593140else
    31603141  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    33253306esac
    33263307
    3327 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3328 if test x$use_static_standardlibs != xno ; then
    3329   case $build in
    3330     *-mingw*)
    3331       static_standardlib_flag=-static
    3332       ;;
    3333     *)
    3334       static_standardlib_flag=-static-libgcc
    3335       ;;
    3336   esac
    3337   case " $LDFLAGS " in
    3338     *" $static_standardlib_flag "* ) ;;
    3339     *)
    3340     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3341 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3342     coin_save_LDFLAGS="$LDFLAGS"
    3343     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3344     cat >conftest.$ac_ext <<_ACEOF
    3345 /* confdefs.h.  */
    3346 _ACEOF
    3347 cat confdefs.h >>conftest.$ac_ext
    3348 cat >>conftest.$ac_ext <<_ACEOF
    3349 /* end confdefs.h.  */
    3350 
    3351 int
    3352 main ()
    3353 {
    3354 int i=0;
    3355   ;
    3356   return 0;
    3357 }
    3358 _ACEOF
    3359 rm -f conftest.$ac_objext conftest$ac_exeext
    3360 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3361   (eval $ac_link) 2>conftest.er1
    3362   ac_status=$?
    3363   grep -v '^ *+' conftest.er1 >conftest.err
    3364   rm -f conftest.er1
    3365   cat conftest.err >&5
    3366   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3367   (exit $ac_status); } &&
    3368          { ac_try='test -z "$ac_c_werror_flag"
    3369                          || test ! -s conftest.err'
    3370   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3371   (eval $ac_try) 2>&5
    3372   ac_status=$?
    3373   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3374   (exit $ac_status); }; } &&
    3375          { ac_try='test -s conftest$ac_exeext'
    3376   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3377   (eval $ac_try) 2>&5
    3378   ac_status=$?
    3379   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3380   (exit $ac_status); }; }; then
    3381   echo "$as_me:$LINENO: result: yes" >&5
    3382 echo "${ECHO_T}yes" >&6
    3383 else
    3384   echo "$as_me: failed program was:" >&5
    3385 sed 's/^/| /' conftest.$ac_ext >&5
    3386 
    3387 echo "$as_me:$LINENO: result: no" >&5
    3388 echo "${ECHO_T}no" >&6
    3389        LDFLAGS="$coin_save_LDFLAGS"
    3390        if test $use_static_standardlibs = yes ; then
    3391          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3392 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3393    { (exit 1); exit 1; }; }
    3394        fi
    3395 
    3396 fi
    3397 rm -f conftest.err conftest.$ac_objext \
    3398       conftest$ac_exeext conftest.$ac_ext
    3399     ;;
    3400   esac
    3401 fi
    3402 
    34033308ac_ext=c
    34043309ac_cpp='$CPP $CPPFLAGS'
     
    34103315
    34113316 #Let's try if that overcomes configuration problem with VC++ 6.0
    3412 
    34133317
    34143318ac_ext=cc
     
    43624266    ;;
    43634267esac
    4364 
    4365 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4366 if test x$use_static_standardlibs != xno ; then
    4367   case $build in
    4368     *-mingw*)
    4369       static_standardlib_flag=-static
    4370       ;;
    4371     *)
    4372       static_standardlib_flag=-static-libstdc++
    4373       ;;
    4374   esac
    4375   case " $LDFLAGS " in
    4376     *" $static_standardlib_flag "* ) ;;
    4377     *)
    4378     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4379 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4380     coin_save_LDFLAGS="$LDFLAGS"
    4381     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4382     cat >conftest.$ac_ext <<_ACEOF
    4383 /* confdefs.h.  */
    4384 _ACEOF
    4385 cat confdefs.h >>conftest.$ac_ext
    4386 cat >>conftest.$ac_ext <<_ACEOF
    4387 /* end confdefs.h.  */
    4388 
    4389 int
    4390 main ()
    4391 {
    4392 int i=0;
    4393   ;
    4394   return 0;
    4395 }
    4396 _ACEOF
    4397 rm -f conftest.$ac_objext conftest$ac_exeext
    4398 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4399   (eval $ac_link) 2>conftest.er1
    4400   ac_status=$?
    4401   grep -v '^ *+' conftest.er1 >conftest.err
    4402   rm -f conftest.er1
    4403   cat conftest.err >&5
    4404   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4405   (exit $ac_status); } &&
    4406          { ac_try='test -z "$ac_cxx_werror_flag"
    4407                          || test ! -s conftest.err'
    4408   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4409   (eval $ac_try) 2>&5
    4410   ac_status=$?
    4411   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4412   (exit $ac_status); }; } &&
    4413          { ac_try='test -s conftest$ac_exeext'
    4414   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4415   (eval $ac_try) 2>&5
    4416   ac_status=$?
    4417   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4418   (exit $ac_status); }; }; then
    4419   echo "$as_me:$LINENO: result: yes" >&5
    4420 echo "${ECHO_T}yes" >&6
    4421 else
    4422   echo "$as_me: failed program was:" >&5
    4423 sed 's/^/| /' conftest.$ac_ext >&5
    4424 
    4425 echo "$as_me:$LINENO: result: no" >&5
    4426 echo "${ECHO_T}no" >&6
    4427        LDFLAGS="$coin_save_LDFLAGS"
    4428        if test $use_static_standardlibs = yes ; then
    4429          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4430 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4431    { (exit 1); exit 1; }; }
    4432        fi
    4433 
    4434 fi
    4435 rm -f conftest.err conftest.$ac_objext \
    4436       conftest$ac_exeext conftest.$ac_ext
    4437     ;;
    4438   esac
    4439 fi
    44404268
    44414269ac_ext=c
     
    62076035*-*-irix6*)
    62086036  # Find out which ABI we are using.
    6209   echo '#line 6209 "configure"' > conftest.$ac_ext
     6037  echo '#line 6037 "configure"' > conftest.$ac_ext
    62106038  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62116039  (eval $ac_compile) 2>&5
     
    73417169
    73427170# Provide some information about the compiler.
    7343 echo "$as_me:7343:" \
     7171echo "$as_me:7171:" \
    73447172     "checking for Fortran 77 compiler version" >&5
    73457173ac_compiler=`set X $ac_compile; echo $2`
     
    84088236   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84098237   -e 's:$: $lt_compiler_flag:'`
    8410    (eval echo "\"\$as_me:8410: $lt_compile\"" >&5)
     8238   (eval echo "\"\$as_me:8238: $lt_compile\"" >&5)
    84118239   (eval "$lt_compile" 2>conftest.err)
    84128240   ac_status=$?
    84138241   cat conftest.err >&5
    8414    echo "$as_me:8414: \$? = $ac_status" >&5
     8242   echo "$as_me:8242: \$? = $ac_status" >&5
    84158243   if (exit $ac_status) && test -s "$ac_outfile"; then
    84168244     # The compiler can only warn and ignore the option if not recognized
     
    86768504   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86778505   -e 's:$: $lt_compiler_flag:'`
    8678    (eval echo "\"\$as_me:8678: $lt_compile\"" >&5)
     8506   (eval echo "\"\$as_me:8506: $lt_compile\"" >&5)
    86798507   (eval "$lt_compile" 2>conftest.err)
    86808508   ac_status=$?
    86818509   cat conftest.err >&5
    8682    echo "$as_me:8682: \$? = $ac_status" >&5
     8510   echo "$as_me:8510: \$? = $ac_status" >&5
    86838511   if (exit $ac_status) && test -s "$ac_outfile"; then
    86848512     # The compiler can only warn and ignore the option if not recognized
     
    87808608   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87818609   -e 's:$: $lt_compiler_flag:'`
    8782    (eval echo "\"\$as_me:8782: $lt_compile\"" >&5)
     8610   (eval echo "\"\$as_me:8610: $lt_compile\"" >&5)
    87838611   (eval "$lt_compile" 2>out/conftest.err)
    87848612   ac_status=$?
    87858613   cat out/conftest.err >&5
    8786    echo "$as_me:8786: \$? = $ac_status" >&5
     8614   echo "$as_me:8614: \$? = $ac_status" >&5
    87878615   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87888616   then
     
    1112510953  lt_status=$lt_dlunknown
    1112610954  cat > conftest.$ac_ext <<EOF
    11127 #line 11127 "configure"
     10955#line 10955 "configure"
    1112810956#include "confdefs.h"
    1112910957
     
    1122511053  lt_status=$lt_dlunknown
    1122611054  cat > conftest.$ac_ext <<EOF
    11227 #line 11227 "configure"
     11055#line 11055 "configure"
    1122811056#include "confdefs.h"
    1122911057
     
    1356913397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357013398   -e 's:$: $lt_compiler_flag:'`
    13571    (eval echo "\"\$as_me:13571: $lt_compile\"" >&5)
     13399   (eval echo "\"\$as_me:13399: $lt_compile\"" >&5)
    1357213400   (eval "$lt_compile" 2>conftest.err)
    1357313401   ac_status=$?
    1357413402   cat conftest.err >&5
    13575    echo "$as_me:13575: \$? = $ac_status" >&5
     13403   echo "$as_me:13403: \$? = $ac_status" >&5
    1357613404   if (exit $ac_status) && test -s "$ac_outfile"; then
    1357713405     # The compiler can only warn and ignore the option if not recognized
     
    1367313501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1367413502   -e 's:$: $lt_compiler_flag:'`
    13675    (eval echo "\"\$as_me:13675: $lt_compile\"" >&5)
     13503   (eval echo "\"\$as_me:13503: $lt_compile\"" >&5)
    1367613504   (eval "$lt_compile" 2>out/conftest.err)
    1367713505   ac_status=$?
    1367813506   cat out/conftest.err >&5
    13679    echo "$as_me:13679: \$? = $ac_status" >&5
     13507   echo "$as_me:13507: \$? = $ac_status" >&5
    1368013508   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1368113509   then
     
    1524315071   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1524415072   -e 's:$: $lt_compiler_flag:'`
    15245    (eval echo "\"\$as_me:15245: $lt_compile\"" >&5)
     15073   (eval echo "\"\$as_me:15073: $lt_compile\"" >&5)
    1524615074   (eval "$lt_compile" 2>conftest.err)
    1524715075   ac_status=$?
    1524815076   cat conftest.err >&5
    15249    echo "$as_me:15249: \$? = $ac_status" >&5
     15077   echo "$as_me:15077: \$? = $ac_status" >&5
    1525015078   if (exit $ac_status) && test -s "$ac_outfile"; then
    1525115079     # The compiler can only warn and ignore the option if not recognized
     
    1534715175   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1534815176   -e 's:$: $lt_compiler_flag:'`
    15349    (eval echo "\"\$as_me:15349: $lt_compile\"" >&5)
     15177   (eval echo "\"\$as_me:15177: $lt_compile\"" >&5)
    1535015178   (eval "$lt_compile" 2>out/conftest.err)
    1535115179   ac_status=$?
    1535215180   cat out/conftest.err >&5
    15353    echo "$as_me:15353: \$? = $ac_status" >&5
     15181   echo "$as_me:15181: \$? = $ac_status" >&5
    1535415182   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1535515183   then
     
    1755417382   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1755517383   -e 's:$: $lt_compiler_flag:'`
    17556    (eval echo "\"\$as_me:17556: $lt_compile\"" >&5)
     17384   (eval echo "\"\$as_me:17384: $lt_compile\"" >&5)
    1755717385   (eval "$lt_compile" 2>conftest.err)
    1755817386   ac_status=$?
    1755917387   cat conftest.err >&5
    17560    echo "$as_me:17560: \$? = $ac_status" >&5
     17388   echo "$as_me:17388: \$? = $ac_status" >&5
    1756117389   if (exit $ac_status) && test -s "$ac_outfile"; then
    1756217390     # The compiler can only warn and ignore the option if not recognized
     
    1782217650   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1782317651   -e 's:$: $lt_compiler_flag:'`
    17824    (eval echo "\"\$as_me:17824: $lt_compile\"" >&5)
     17652   (eval echo "\"\$as_me:17652: $lt_compile\"" >&5)
    1782517653   (eval "$lt_compile" 2>conftest.err)
    1782617654   ac_status=$?
    1782717655   cat conftest.err >&5
    17828    echo "$as_me:17828: \$? = $ac_status" >&5
     17656   echo "$as_me:17656: \$? = $ac_status" >&5
    1782917657   if (exit $ac_status) && test -s "$ac_outfile"; then
    1783017658     # The compiler can only warn and ignore the option if not recognized
     
    1792617754   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1792717755   -e 's:$: $lt_compiler_flag:'`
    17928    (eval echo "\"\$as_me:17928: $lt_compile\"" >&5)
     17756   (eval echo "\"\$as_me:17756: $lt_compile\"" >&5)
    1792917757   (eval "$lt_compile" 2>out/conftest.err)
    1793017758   ac_status=$?
    1793117759   cat out/conftest.err >&5
    17932    echo "$as_me:17932: \$? = $ac_status" >&5
     17760   echo "$as_me:17760: \$? = $ac_status" >&5
    1793317761   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1793417762   then
     
    2501524843
    2501624844
    25017 
    2501824845ac_ext=f
    2501924846ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    2522525052
    2522625053# Provide some information about the compiler.
    25227 echo "$as_me:25227:" \
     25054echo "$as_me:25054:" \
    2522825055     "checking for Fortran 77 compiler version" >&5
    2522925056ac_compiler=`set X $ac_compile; echo $2`
     
    2560225429    FFLAGS="$OPT_FFLAGS"
    2560325430  fi
    25604 
    2560525431else
    2560625432  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    2574525571esac
    2574625572
    25747 # check whether to add flag for static linking against standard libraries to LDFLAGS
    25748 if test x$use_static_standardlibs != xno ; then
    25749   case $build in
    25750     *-mingw*)
    25751       static_standardlib_flag=-static
    25752       ;;
    25753     *)
    25754       static_standardlib_flag=-static-libgfortran
    25755       ;;
    25756   esac
    25757   case " $LDFLAGS " in
    25758     *" $static_standardlib_flag "* ) ;;
    25759     *)
    25760     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    25761 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    25762     coin_save_LDFLAGS="$LDFLAGS"
    25763     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    25764     cat >conftest.$ac_ext <<_ACEOF
    25765       program main
    25766       integer i
    25767       end
    25768 _ACEOF
    25769 rm -f conftest.$ac_objext conftest$ac_exeext
    25770 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25771   (eval $ac_link) 2>conftest.er1
    25772   ac_status=$?
    25773   grep -v '^ *+' conftest.er1 >conftest.err
    25774   rm -f conftest.er1
    25775   cat conftest.err >&5
    25776   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25777   (exit $ac_status); } &&
    25778          { ac_try='test -z "$ac_f77_werror_flag"
    25779                          || test ! -s conftest.err'
    25780   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25781   (eval $ac_try) 2>&5
    25782   ac_status=$?
    25783   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25784   (exit $ac_status); }; } &&
    25785          { ac_try='test -s conftest$ac_exeext'
    25786   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25787   (eval $ac_try) 2>&5
    25788   ac_status=$?
    25789   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25790   (exit $ac_status); }; }; then
    25791   echo "$as_me:$LINENO: result: yes" >&5
    25792 echo "${ECHO_T}yes" >&6
    25793 else
    25794   echo "$as_me: failed program was:" >&5
    25795 sed 's/^/| /' conftest.$ac_ext >&5
    25796 
    25797 echo "$as_me:$LINENO: result: no" >&5
    25798 echo "${ECHO_T}no" >&6
    25799        LDFLAGS="$coin_save_LDFLAGS"
    25800        if test $use_static_standardlibs = yes ; then
    25801          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    25802 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    25803    { (exit 1); exit 1; }; }
    25804        fi
    25805 
    25806 fi
    25807 rm -f conftest.err conftest.$ac_objext \
    25808       conftest$ac_exeext conftest.$ac_ext
    25809     ;;
    25810   esac
    25811 fi
    25812 
    2581325573ac_ext=c
    2581425574ac_cpp='$CPP $CPPFLAGS'
     
    2587125631ac_save_FFLAGS=$FFLAGS
    2587225632FFLAGS="$FFLAGS $ac_verb"
    25873 (eval echo $as_me:25873: \"$ac_link\") >&5
     25633(eval echo $as_me:25633: \"$ac_link\") >&5
    2587425634ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2587525635echo "$ac_f77_v_output" >&5
     
    2594925709ac_save_FFLAGS=$FFLAGS
    2595025710FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25951 (eval echo $as_me:25951: \"$ac_link\") >&5
     25711(eval echo $as_me:25711: \"$ac_link\") >&5
    2595225712ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2595325713echo "$ac_f77_v_output" >&5
Note: See TracChangeset for help on using the changeset viewer.